diff -urN -X cvs-exc.txt mipslinux-2.4.17-xfs/arch/mips/kernel/setup.c settop/arch/mips/kernel/setup.c
--- mipslinux-2.4.17-xfs/arch/mips/kernel/setup.c	Thu Feb  7 00:04:53 2002
+++ settop/arch/mips/kernel/setup.c	Thu Feb  7 08:00:19 2002
@@ -576,7 +576,11 @@
 	int i;
 
 	for (i = 0; i < boot_mem_map.nr_map; i++) {
+#ifdef CONFIG_64BIT_PHYS_ADDR
 		printk(" memory: %08Lx @ %08Lx ",
+#else
+		printk(" memory: %08lx @ %08lx ",
+#endif
 			boot_mem_map.map[i].size, boot_mem_map.map[i].addr);
 		switch (boot_mem_map.map[i].type) {
 		case BOOT_MEM_RAM:
@@ -871,7 +881,7 @@
 #ifndef CONFIG_HIGHMEM
 		/* Maximum memory usable is what is directly addressable */
 		printk(KERN_WARNING "Warning only %ldMB will be used.\n",
-		       MAXMEM>>20);
+		       (unsigned long) MAXMEM>>20);
 		printk(KERN_WARNING "Use a HIGHMEM enabled kernel.\n");
 #endif
 	}
diff -urN -X cvs-exc.txt mipslinux-2.4.17-xfs/arch/mips/math-emu/ieee754xcpt.c settop/arch/mips/math-emu/ieee754xcpt.c
--- mipslinux-2.4.17-xfs/arch/mips/math-emu/ieee754xcpt.c	Sat Jan 13 12:17:58 2001
+++ settop/arch/mips/math-emu/ieee754xcpt.c	Wed Jan 30 09:12:48 2002
@@ -30,6 +30,7 @@
  *************************************************************************/
 
 #include "ieee754.h"
+#include <linux/kernel.h>
 
 /*
  * Very naff exception handler (you can plug in your own and
diff -urN -X cvs-exc.txt mipslinux-2.4.17-xfs/arch/mips/math-emu/sp_sub.c settop/arch/mips/math-emu/sp_sub.c
--- mipslinux-2.4.17-xfs/arch/mips/math-emu/sp_sub.c	Thu Oct  4 08:19:44 2001
+++ settop/arch/mips/math-emu/sp_sub.c	Wed Jan 30 10:38:27 2002
@@ -167,11 +167,12 @@
 			xe = xe;
 			xs = ys;
 		}
-		if (xm == 0)
+		if (xm == 0) {
 			if (ieee754_csr.rm == IEEE754_RD)
 				return ieee754sp_zero(1);	/* round negative inf. => sign = -1 */
 			else
 				return ieee754sp_zero(0);	/* other round modes   => sign = 1 */
+		}
 
 		/* normalize to rounding precision 
 		 */
diff -urN -X cvs-exc.txt mipslinux-2.4.17-xfs/arch/mips/mm/c-r5432.c settop/arch/mips/mm/c-r5432.c
--- mipslinux-2.4.17-xfs/arch/mips/mm/c-r5432.c	Fri Nov 30 07:28:06 2001
+++ settop/arch/mips/mm/c-r5432.c	Wed Jan 30 11:09:47 2002
@@ -42,34 +42,6 @@
 /* -------------------------------------------------------------------- */
 /* #include <asm/r4kcache.h> */
 
-static inline void flush_icache_line_indexed(unsigned long addr)
-{
-	__asm__ __volatile__(
-		".set noreorder\n\t"
-		".set mips3\n\t"
-		"cache %1, (%0)\n\t"
-		"cache %1, 1(%0)\n\t"
-		".set mips0\n\t"
-		".set reorder"
-		:
-		: "r" (addr),
-		  "i" (Index_Invalidate_I));
-}
-
-static inline void flush_dcache_line_indexed(unsigned long addr)
-{
-	__asm__ __volatile__(
-		".set noreorder\n\t"
-		".set mips3\n\t"
-		"cache %1, (%0)\n\t"
-		"cache %1, 1(%0)\n\t"
-		".set mips0\n\t"
-		".set reorder"
-		:
-		: "r" (addr),
-		  "i" (Index_Writeback_Inv_D));
-}
-
 static inline void flush_icache_line(unsigned long addr)
 {
 	__asm__ __volatile__(
diff -urN -X cvs-exc.txt mipslinux-2.4.17-xfs/arch/mips/mm/fault.c settop/arch/mips/mm/fault.c
--- mipslinux-2.4.17-xfs/arch/mips/mm/fault.c	Wed Jan 16 00:05:21 2002
+++ settop/arch/mips/mm/fault.c	Wed Jan 30 11:08:30 2002
@@ -18,6 +18,9 @@
 #include <linux/smp.h>
 #include <linux/smp_lock.h>
 #include <linux/version.h>
+#ifdef CONFIG_VT
+#include <linux/vt_kern.h>
+#endif
 
 #include <asm/hardirq.h>
 #include <asm/pgalloc.h>
diff -urN -X cvs-exc.txt mipslinux-2.4.17-xfs/arch/mips/mm/init.c settop/arch/mips/mm/init.c
--- mipslinux-2.4.17-xfs/arch/mips/mm/init.c	Thu Feb  7 00:04:54 2002
+++ settop/arch/mips/mm/init.c	Thu Feb  7 07:01:15 2002
@@ -161,6 +161,7 @@
 extern char _ftext, _etext, _fdata, _edata;
 extern char __init_begin, __init_end;
 
+#ifdef CONFIG_HIGHMEM
 static void __init fixrange_init (unsigned long start, unsigned long end,
 	pgd_t *pgd_base)
 {
@@ -189,13 +190,17 @@
 		j = 0;
 	}
 }
+#endif
 
 void __init pagetable_init(void)
 {
+#ifdef CONFIG_HIGHMEM
 	unsigned long vaddr;
-	pgd_t *pgd, *pgd_base;
+	pgd_t *pgd;
 	pmd_t *pmd;
 	pte_t *pte;
+#endif
+	pgd_t *pgd_base;
 
 	/* Initialize the entire pgd.  */
 	pgd_init((unsigned long)swapper_pg_dir);
diff -urN -X cvs-exc.txt mipslinux-2.4.17-xfs/include/linux/rtnetlink.h settop/include/linux/rtnetlink.h
--- mipslinux-2.4.17-xfs/include/linux/rtnetlink.h	Sat Dec 29 00:05:13 2001
+++ settop/include/linux/rtnetlink.h	Wed Jan 30 08:43:08 2002
@@ -586,9 +586,9 @@
 extern void rtnetlink_init(void);
 
 #define ASSERT_RTNL() do { if (down_trylock(&rtnl_sem) == 0)  { up(&rtnl_sem); \
-printk("RTNL: assertion failed at " __FILE__ "(%d):" __FUNCTION__ "\n", __LINE__); } \
+printk("RTNL: assertion failed at " __FILE__ "(%d): %s\n", __LINE__, __FUNCTION__); } \
 		   } while(0);
-#define BUG_TRAP(x) if (!(x)) { printk("KERNEL: assertion (" #x ") failed at " __FILE__ "(%d):" __FUNCTION__ "\n", __LINE__); }
+#define BUG_TRAP(x) if (!(x)) { printk("KERNEL: assertion (" #x ") failed at " __FILE__ "(%d): %s\n", __LINE__, __FUNCTION__); }
 
 
 #endif /* __KERNEL__ */
diff -urN -X cvs-exc.txt mipslinux-2.4.17-xfs/net/netlink/af_netlink.c settop/net/netlink/af_netlink.c
--- mipslinux-2.4.17-xfs/net/netlink/af_netlink.c	Tue Aug 21 22:25:20 2001
+++ settop/net/netlink/af_netlink.c	Wed Jan 30 10:37:38 2002
@@ -48,7 +48,7 @@
 #define NL_EMULATE_DEV
 #endif
 
-#define BUG_TRAP(x) if (!(x)) { printk("Assertion (" #x ") failed at " __FILE__ "(%d):" __FUNCTION__ "\n", __LINE__); }
+#define BUG_TRAP(x) if (!(x)) { printk("Assertion (" #x ") failed at " __FILE__ "(%d):%s\n", __LINE__, __FUNCTION__); }
 
 struct netlink_opt
 {
